package ms.itsecteam.warpdrink.data;

import android.util.Log;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;
import com.activeandroid.query.Delete;
import com.activeandroid.query.Select;

import java.util.List;

@Table(name = "Users")
public class User extends Model {

    @Column(name = "userid")
    private int userid;
    @Column(name = "name")
    private String name;
    @Column(name = "credit")
    private double credit;

    public User() {
        super();
    }

    public User(int userid, String name, double credit) {
        super();
        this.userid = userid;
        this.name = name;
        this.credit = credit;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getCredit() {
        return credit;
    }

    public void setCredit(double credit) {
        this.credit = credit;
    }

    public static List<User> getAll() {
        return new Select()
                .from(User.class)
                .execute();
    }
    public static User getByName(String name) {
        return new Select()
                .from(User.class)
                .where("name = ?", name)
                .executeSingle();
    }
    public static void deleteAll() {
        new Delete().from(User.class).execute();
    }
    public String toString() {
        return this.name;
    }
}
