package ms.itsecteam.warpdrink.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.NumberPicker;

import ms.itsecteam.warpdrink.MainActivity;
import ms.itsecteam.warpdrink.R;
import ms.itsecteam.warpdrink.data.User;

public class ChargeCustomDialog extends Dialog implements
        View.OnClickListener {

    private MainActivity c;
    private Dialog d;
    private Button btnCustomCharge;
    private NumberPicker numPick;
    public ChargeCustomDialog(ChargeDialog dialog, MainActivity a) {
        super(a);
        dialog.dismiss();
        this.c = a;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.charge_custom_dialog);

        this.numPick = (NumberPicker) findViewById(R.id.numPick);
        this.numPick.setMinValue(0);
        this.numPick.setMaxValue(100);
        this.btnCustomCharge = (Button) findViewById(R.id.btnCustomCharge);

        this.btnCustomCharge.setOnClickListener(this);

    }

    @Override
    public void onClick(View v) {
        double amount = 0.0;
        switch (v.getId()) {
            case R.id.btnCustomCharge:
                amount = this.numPick.getValue();
                break;
            default:
                break;
        }
        if(amount > 0.0) {
            User u = this.c.getCurrentUser();
            u.setCredit(u.getCredit()+amount);
            u.save();
        }
        this.c.refreshCreditTextView();
        dismiss();
    }
}
